Package org.eclipse.birt.report.model.api.metadata

# Class MemberInfo

java.lang.Object
org.eclipse.birt.report.model.api.metadata.MemberInfo

All Implemented Interfaces:
  `ILocalizableInfo`, `IMemberInfo`

public class MemberInfo extends Object implements IMemberInfo
Represents the definition of class member. The class member defines the member type besides name, display name ID and tool tip ID.

## Constructor Summary

Constructors
Constructor
Description
`MemberInfo()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`IClassInfo`
`getClassType()`
Returns the member type in Class.
`String`
`getDataType()`
Returns the script data type of this member.
`String`
`getDisplayName()`
Returns the display name if the resource key of display name is available.
`String`
`getDisplayNameKey()`
Returns the resource key for display name.
`String`
`getName()`
Returns the definition name.
`String`
`getToolTip()`
Returns the tool tip if the resource key of tool tip is available.
`String`
`getToolTipKey()`
Returns the resource key for tool tip.
`boolean`
`isStatic()`
Returns whether this member is static.
`protected void`
`setDataType(String type)`
Sets the script data type of this member.
`protected void`
`setDisplayName(String displayName)`
Sets the display name.
`protected void`
`setDisplayNameKey(String displayNameKey)`
Sets the resource key for display name.
`protected void`
`setName(String name)`
Sets the definition name.
`protected void`
`setStatic(boolean isStatic)`
Sets whether this member is static.
`protected void`
`setToolTip(String toolTip)`
Sets the display string for the tool tip of this method.
`protected void`
`setToolTipKey(String toolTipKey)`
Sets the resource key for tool tip.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MemberInfo

public MemberInfo()
Default constructor.

## Method Details

### getDataType

public String getDataType()
Description copied from interface: `IMemberInfo`
Returns the script data type of this member.

Specified by:
  `getDataType` in interface `IMemberInfo`
Returns:
  the script data type of this member

### setDataType

protected void setDataType(String type)
Sets the script data type of this member.

Parameters:
  `type` - the script data type to set

### setStatic

protected void setStatic(boolean isStatic)
Sets whether this member is static.

Parameters:
  `isStatic` - the flag set

### isStatic

public boolean isStatic()
Returns whether this member is static.

Specified by:
  `isStatic` in interface `IMemberInfo`
Returns:
  `true` if this member is true.

### getToolTip

public String getToolTip()
Description copied from interface: `ILocalizableInfo`
Returns the tool tip if the resource key of tool tip is available. Otherwise, return empty string.

Specified by:
  `getToolTip` in interface `ILocalizableInfo`
Returns:
  the tool tip

### setToolTip

protected void setToolTip(String toolTip)
Sets the display string for the tool tip of this method.

Parameters:
  `toolTip` - the user-visible, localized display name for the tool tip of this method.

### getToolTipKey

public String getToolTipKey()
Description copied from interface: `ILocalizableInfo`
Returns the resource key for tool tip.

Specified by:
  `getToolTipKey` in interface `ILocalizableInfo`
Returns:
  the resource key for tool tip

### getDisplayName

public String getDisplayName()
Description copied from interface: `ILocalizableInfo`
Returns the display name if the resource key of display name is available. Otherwise, return empty string.

Specified by:
  `getDisplayName` in interface `ILocalizableInfo`
Returns:
  the display name

### setDisplayName

protected void setDisplayName(String displayName)
Sets the display name.

Parameters:
  `displayName` - the display value

### getDisplayNameKey

public String getDisplayNameKey()
Description copied from interface: `ILocalizableInfo`
Returns the resource key for display name.

Specified by:
  `getDisplayNameKey` in interface `ILocalizableInfo`
Returns:
  the resource key for display name

### getName

public String getName()
Description copied from interface: `ILocalizableInfo`
Returns the definition name.

Specified by:
  `getName` in interface `ILocalizableInfo`
Returns:
  the name of this definition

### setDisplayNameKey

protected void setDisplayNameKey(String displayNameKey)
Sets the resource key for display name.

Parameters:
  `displayNameKey` - the resource key to set

### setName

protected void setName(String name)
Sets the definition name.

Parameters:
  `name` - the name to set

### setToolTipKey

protected void setToolTipKey(String toolTipKey)
Sets the resource key for tool tip.

Parameters:
  `toolTipKey` - the resource key to set

### getClassType

public IClassInfo getClassType()
Description copied from interface: `IMemberInfo`
Returns the member type in Class.

Specified by:
  `getClassType` in interface `IMemberInfo`
Returns:
  the member type